\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=0.75cm,y=0.75cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-4,-1) rectangle (7.5,4.5);
\draw [shift={(4,0)},line width=0.8pt] (0,0) -- (135:0.6) arc (135:180:0.6) -- cycle;
\draw [shift={(7,0)},line width=0.8pt] (0,0) -- (150.25511870305778:0.6) arc (150.25511870305778:180:0.6) -- cycle;
\draw [line width=1pt, mydashed] (0,4)-- (4,0);
\draw [line width=1pt, mydashed] (0,4)-- (7,0);
\draw [line width=1pt,<->] (-3.5,0)-- node[left] {h} (-3.5,4);
\draw[line width=1pt,smooth,samples=100,domain=-2.8:2.8] plot(\x,{0-0.5*(\x)^(2)+4});
\draw [line width=1pt, <->] (4.25,-0.25)-- node[below] {200m} (6.75,-0.25);
\draw [line width=1pt] (-3.5,0)-- (7,0);
\begin{scriptsize}
\draw[color=black] (3.15,0.25) node {$45\textrm{\degre}$};
\draw[color=black] (6.15,0.25) node {$30\textrm{\degre}$};
\end{scriptsize}
\end{tikzpicture}